Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.caff.maze
Class Stringizer

    java.lang.Object
      de.caff.maze.Stringizer

     class Stringizer

extends java.lang.Object

Makes strings from values and vice versa.

Constructor Summary
`Stringizer()`

Method Summary
`static boolean` | `booleanFromString(java.lang.String str, boolean defaultValue)` Convert a string into a boolean value.
`static java.lang.String` | `booleanToString(boolean b)` Convert a boolean to a string.
`static java.awt.Color` | `colorFromString(java.lang.String str, java.awt.Color defaultValue)` Convert a string to a color.
`static java.lang.String` | `colorToString(java.awt.Color color)` Convert a color into a string.
`static double` | `doubleFromString(java.lang.String str, double defaultValue)` Convert a string into a double value.
`static java.lang.String` | `doubleToString(double value)` Convert a double value into a string.
`static int` | `intFromString(java.lang.String str, int defaultValue)` Convert a string into an int value.
`static java.lang.String` | `intToString(int value)` Convert a int value into a string.
`static long` | `longFromString(java.lang.String str, long defaultValue)` Convert a string into a long int value.
`static java.lang.String` | `longToString(long value)` Convert a long int value into a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Stringizer

    Stringizer()

Method Detail

### colorToString

    public static java.lang.String colorToString(java.awt.Color color)

  Convert a color into a string.

  Parameters:
    `color` - color to convert
  Returns:
    stringized color value
  See Also:
    `Stringizer.colorFromString(String, java.awt.Color)`

### colorFromString

    public static java.awt.Color colorFromString(java.lang.String str,
                                                 java.awt.Color defaultValue)

  Convert a string to a color.

  Parameters:
    `str` - string which defines a color in the form `#aarrggbb`
    `defaultValue` - color to be used if string does not define a color
  Returns:
    color from string or default color

### booleanToString

    public static java.lang.String booleanToString(boolean b)

  Convert a boolean to a string.

  Parameters:
    `b` - boolean value
  Returns:
    stringized form of boolean value

### booleanFromString

    public static boolean booleanFromString(java.lang.String str,
                                            boolean defaultValue)

  Convert a string into a boolean value.

  Parameters:
    `str` - string to convert
    `defaultValue` - default value to be used if the string does not define a boolean value
  Returns:
    value from the string or default value

### intToString

    public static java.lang.String intToString(int value)

  Convert a int value into a string.

  Parameters:
    `value` - int value
  Returns:
    stringized form of int value

### intFromString

    public static int intFromString(java.lang.String str,
                                    int defaultValue)

  Convert a string into an int value.

  Parameters:
    `str` - string to convert
    `defaultValue` - default value to be used if the string does not define an int value
  Returns:
    value from string or default value

### longToString

    public static java.lang.String longToString(long value)

  Convert a long int value into a string.

  Parameters:
    `value` - long int value
  Returns:
    stringized form of long int value

### longFromString

    public static long longFromString(java.lang.String str,
                                      long defaultValue)

  Convert a string into a long int value.

  Parameters:
    `str` - string to convert
    `defaultValue` - default value to be used if the string does not define a long int value
  Returns:
    value from string or default value

### doubleToString

    public static java.lang.String doubleToString(double value)

  Convert a double value into a string.

  Parameters:
    `value` - double value
  Returns:
    stringized form of double value

### doubleFromString

    public static double doubleFromString(java.lang.String str,
                                          double defaultValue)

  Convert a string into a double value.

  Parameters:
    `str` - string to convert
    `defaultValue` - default value to be used if the string does not define a double value
  Returns:
    value from string or default value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD